Выполнение произвольного кода в Kerberos kadmind

Дата публикации:
11.01.2007
Всего просмотров:
1740
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Kerberos 5.x
Уязвимые версии: Kerberos krb5-1.4 - krb5-1.4.4, krb5-1.5 - krb5-1.5.1, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки при обработке xprt->xp_auth указателей во время освобождения структур в памяти. Удаленный пользователь может с помощью специально сформированного kerberos пакета вызвать отказ в обслуживании демона или выполнить произвольный код на целевой системе.

URL производителя: web.mit.edu/kerberos/www/

Решение: Установите последнюю версию с сайта производителя.

web.mit.edu/kerberos/advisories/2006-002-patch.txt

Ссылки: kadmind (via RPC library) calls uninitialized function pointer

или введите имя

CAPTCHA